package com.yihu.jw.restmodel.hospital.consult;

import com.yihu.jw.restmodel.UuidIdentityVOWithOperator;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.fasterxml.jackson.annotation.JsonFormat;


/**
 * 
 * vo
 * 
 * @version 
 * <pre>
 * Author	Version		Date		Changes
 * Administrator 	1.0  2019年05月16日 Created
 *
 * </pre>
 * @since 1.
 */
@ApiModel(value = "WlyyHospitalReservationSettingVO", description = "")
public class WlyyHospitalReservationSettingVO extends UuidIdentityVOWithOperator {

    /**
	 * 
	 */
	@ApiModelProperty(value = "", example = "模块1")
    private String saasId;

    /**
	 * 城市id
	 */
	@ApiModelProperty(value = "城市id", example = "模块1")
    private String city;

    /**
	 * 城市名称
	 */
	@ApiModelProperty(value = "城市名称", example = "模块1")
    private String cityName;

    /**
	 * 行政区id
	 */
	@ApiModelProperty(value = "行政区id", example = "模块1")
    private String town;

    /**
	 * 行政区名称
	 */
	@ApiModelProperty(value = "行政区名称", example = "模块1")
    private String townName;

    /**
	 * 医院
	 */
	@ApiModelProperty(value = "医院", example = "模块1")
    private String hospital;

    /**
	 * 医院名称
	 */
	@ApiModelProperty(value = "医院名称", example = "模块1")
    private String hospitalName;

    /**
	 * 科室
	 */
	@ApiModelProperty(value = "科室", example = "模块1")
    private String dept;

    /**
	 * 科室名称
	 */
	@ApiModelProperty(value = "科室名称", example = "模块1")
    private String deptName;

    /**
	 * 复诊疾病范围
	 */
	@ApiModelProperty(value = "复诊疾病范围", example = "模块1")
    private String diseaseRange;

    /**
	 * 1图文 2视频 3图文+视频
	 */
	@ApiModelProperty(value = "1图文 2视频 3图文+视频", example = "模块1")
    private Integer consultType;

    /**
	 * 医生
	 */
	@ApiModelProperty(value = "医生", example = "模块1")
    private String doctor;

    /**
	 * 医生姓名
	 */
	@ApiModelProperty(value = "医生姓名", example = "模块1")
    private String doctorName;

    /**
	 * 0不可以预约 1可预约
	 */
	@ApiModelProperty(value = "0不可以预约 1可预约", example = "模块1")
    private Integer reservationStatus;

    /**
	 * 备注
	 */
	@ApiModelProperty(value = "备注", example = "模块1")
    private String remark;

    /**
	 * 医生职称CODE
	 */
	@ApiModelProperty(value = "医生职称CODE", example = "模块1")
    private String job;

    /**
	 * 医生职称名字
	 */
	@ApiModelProperty(value = "医生职称名字", example = "模块1")
    private String jobName;


    public String getSaasId() {
        return saasId;
    }
    public void setSaasId(String saasId) {
        this.saasId = saasId;
    }

    public String getCity() {
        return city;
    }
    public void setCity(String city) {
        this.city = city;
    }

    public String getCityName() {
        return cityName;
    }
    public void setCityName(String cityName) {
        this.cityName = cityName;
    }

    public String getTown() {
        return town;
    }
    public void setTown(String town) {
        this.town = town;
    }

    public String getTownName() {
        return townName;
    }
    public void setTownName(String townName) {
        this.townName = townName;
    }

    public String getHospital() {
        return hospital;
    }
    public void setHospital(String hospital) {
        this.hospital = hospital;
    }

    public String getHospitalName() {
        return hospitalName;
    }
    public void setHospitalName(String hospitalName) {
        this.hospitalName = hospitalName;
    }

    public String getDept() {
        return dept;
    }
    public void setDept(String dept) {
        this.dept = dept;
    }

    public String getDeptName() {
        return deptName;
    }
    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    public String getDiseaseRange() {
        return diseaseRange;
    }
    public void setDiseaseRange(String diseaseRange) {
        this.diseaseRange = diseaseRange;
    }

    public Integer getConsultType() {
        return consultType;
    }
    public void setConsultType(Integer consultType) {
        this.consultType = consultType;
    }

    public String getDoctor() {
        return doctor;
    }
    public void setDoctor(String doctor) {
        this.doctor = doctor;
    }

    public String getDoctorName() {
        return doctorName;
    }
    public void setDoctorName(String doctorName) {
        this.doctorName = doctorName;
    }

    public Integer getReservationStatus() {
        return reservationStatus;
    }
    public void setReservationStatus(Integer reservationStatus) {
        this.reservationStatus = reservationStatus;
    }

    public String getRemark() {
        return remark;
    }
    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getJob() {
        return job;
    }
    public void setJob(String job) {
        this.job = job;
    }

    public String getJobName() {
        return jobName;
    }
    public void setJobName(String jobName) {
        this.jobName = jobName;
    }


}